image: fabianm/comp1110-2025-s1-gitlab-ci:0.8.3

stages:
  - compliance
  - build
  - test

compliance:
  tags:
    - comp1110
  stage: compliance
  script:
    - python3 /u3/checkrepofiles.py
  allow_failure: true

build:
  tags:
    - comp1110
  stage: build
  script:
    - /u3/compile.sh

  artifacts:
    paths:
      - ./out/production/comp1110-2025s1-u3/*.class
      - ./out/test/comp1110-2025s1-u3/*.class

testInterface:
  tags:
    - comp1110
  stage: test
  script:
    - /u3/testinterface.sh
  allow_failure: true

mark:
  tags:
    - comp1110
  stage: test
  script:
    - /u3/test.sh
  allow_failure: true

testArticle:
  tags:
    - comp1110
  stage: test
  script:
    - /u3/runstudenttests.sh ArticleTests
  allow_failure: true

testGroup:
  tags:
    - comp1110
  stage: test
  script:
    - /u3/runstudenttests.sh GroupTests
  allow_failure: true

testCart:
  tags:
    - comp1110
  stage: test
  script:
    - /u3/runstudenttests.sh CartTests
  allow_failure: true

testLoader:
  tags:
    - comp1110
  stage: test
  script:
    - /u3/runstudenttests.sh LoaderTests
  allow_failure: true

